angular.module('starter.controllers')

    .controller('MineAddressCtrl', function ($ionicBackdrop,$rootScope, $scope, $state, $stateParams, $ionicTabsDelegate, $ionicModal, apiService, uiService, ngCordovaService, $ionicLoading, $ionicPopup,broadcastConstants, broadcastService,$ionicHistory) {
        $ionicTabsDelegate.showBar(false);
        $scope.data = [];
        $scope.flag = true;
        //$scope.openFlag = $stateParams?$stateParams.openFlag:undefined;
        $scope.goEdit = function (adr) {
            adr.addressBig = adr.city + adr.district;
            $state.go('tab.addressAdd', {
                address: adr,
                title: "编辑收货地址",
            });
        }
        $scope.goAddAddress = function () {
            $state.go('tab.addressAdd', {
                address: {},
                title: "新建收货地址",
            });
        }
        $scope.goDelete = function (adr) {
            uiService.ionicLoadingShow({ templateTitle: '正在删除...' });
            apiService.deleteAddress(adr.id, {
                onSuccess: function (data, status, config, headers) {
                    ngCordovaService.showToast('删除地址成功');
                    init();
                },
                onError: function (data, status, config, headers) {
                    ngCordovaService.showToast("删除失败，请稍后尝试");
                },
                onFinally: function () {
                    $ionicLoading.hide();

                }

            });
        }

        $scope.goDefault = function (adr) {
            if (adr.defaultAddress == false) {
                uiService.ionicLoadingShow({ templateTitle: '正在设置...' });
                apiService.defaultAddress($rootScope.userInfo.account, adr.id, {
                    onSuccess: function (data, status, config, headers) {
                        ngCordovaService.showToast("设置成功");
                    },
                    onError: function (data, status, config, headers) {
                        ngCordovaService.showToast("设置失败，请稍后尝试");
                    },
                    onFinally: function () {
                        $ionicLoading.hide();
                        init();
                    }
                });
            }
        };
        function init() {
            apiService.addressAll($rootScope.userInfo.account, {
                onSuccess: function (data, status, config, headers) {
                    if (data.status == "OK") {
                        $scope.data = data.data;
                        if (data.data.length != 0) {
                            console.log(data)
                        } else {
                            $scope.flag = false;
                        }

                    }
                }
            })
        }
        init();
    });